gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Layout.HButtonBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container for arranging buttons horizontally

Synopsis

- data HButtonBox
- class ButtonBoxClass o => HButtonBoxClass o
- castToHButtonBox :: GObjectClass obj => obj -> HButtonBox
- gTypeHButtonBox :: GType
- toHButtonBox :: HButtonBoxClass o => o -> HButtonBox
- hButtonBoxNew :: IO HButtonBox

# Detail

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

A `HButtonBox` is created with `hButtonBoxNew`. Buttons are packed into a button box the same way widgets are added to any other container, using `containerAdd`. You can also use `boxPackStart` or `boxPackEnd`, but for button boxes both these functions work just like `containerAdd`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `buttonBoxSetChildSecondary` called on it.

The spacing between buttons can be set with `boxSetSpacing`. The arrangement and layout of the buttons can be changed with `buttonBoxSetLayout`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Box
     | +----ButtonBox
     | +----HButtonBox

# Types

data HButtonBox

Instances

Eq HButtonBox |
Ord HButtonBox |
GObjectClass HButtonBox |
HButtonBoxClass HButtonBox |
ButtonBoxClass HButtonBox |
BoxClass HButtonBox |
ContainerClass HButtonBox |
WidgetClass HButtonBox |
ObjectClass HButtonBox |

class ButtonBoxClass o => HButtonBoxClass o

Instances

HButtonBoxClass HButtonBox |

castToHButtonBox :: GObjectClass obj => obj -> HButtonBox

gTypeHButtonBox :: GType

toHButtonBox :: HButtonBoxClass o => o -> HButtonBox

# Constructors

hButtonBoxNew :: IO HButtonBox

Creates a new horizontal button box.